com.google.gwt.user.client.ui

## Class ResizeLayoutPanel.Impl

- java.lang.Object
- - com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl

Direct Known Subclasses:
  ResizeLayoutPanel.ImplStandard, ResizeLayoutPanel.ImplTrident

Enclosing class:
  ResizeLayoutPanel

    abstract static class ResizeLayoutPanel.Impl
    extends java.lang.Object

Implementation of resize event.

### Nested Class Summary

Nested Classes
`(package private) static interface` `ResizeLayoutPanel.Impl.Delegate` Delegate event handler.

### Field Summary

Fields
`(package private) boolean` `isAttached`
`(package private) Element` `parent`

### Constructor Summary

Constructors
Constructor and Description
`Impl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleResize()` Handle a resize event.
`void` `init(Element elem, ResizeLayoutPanel.Impl.Delegate delegate)` Initialize the implementation.
`void` `onAttach()` Called on attach.
`void` `onDetach()` Called on detach.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isAttached

    boolean isAttached

#### parent

    Element parent

### Constructor Detail

#### Impl

    Impl()

### Method Detail

#### init

    public void init(Element elem,
                     ResizeLayoutPanel.Impl.Delegate delegate)

Initialize the implementation.

Parameters:
  `elem` - the element to listen for resize
  `delegate` - the `ResizeLayoutPanel.Impl.Delegate` to inform when resize occurs

#### onAttach

    public void onAttach()

Called on attach.

#### onDetach

    public void onDetach()

Called on detach.

#### handleResize

    protected void handleResize()

Handle a resize event.